*     G05YJF Example Program Text
*     Mark 21 Release. NAG Copyright 2004.
*     .. Parameters ..
      INTEGER          NOUT, IDIM, JDIM
      PARAMETER        (NOUT=6,IDIM=4,JDIM=2*IDIM)
*     .. Local Scalars ..
      INTEGER          I, IFAIL, J
*     .. Local Arrays ..
      DOUBLE PRECISION QUASI(5,JDIM), STD(JDIM), XMEAN(JDIM)
      INTEGER          IREF(406)
*     .. External Subroutines ..
      EXTERNAL         G05YCF, G05YJF
*     .. Intrinsic Functions ..
      INTRINSIC        REAL
*     .. Executable Statements ..
      WRITE (NOUT,99999) 'G05YJF Example Program Results'
      IFAIL = 0
      DO 20 I = 1, JDIM
         XMEAN(I) = REAL(I)
         STD(I) = 1.0D0
   20 CONTINUE
*
      CALL G05YCF(IDIM,IREF,IFAIL)
*
*
      CALL G05YJF(XMEAN,STD,5,QUASI,IREF,IFAIL)
      WRITE (NOUT,99998) ((QUASI(I,J),J=1,IDIM),I=1,5)
*
      WRITE (NOUT,99999)
      STOP
*
99999 FORMAT (A,F20.4)
99998 FORMAT (1X,4F10.4)
      END
